// Paraselene generated this source file.
package #1.#y#2;

import paraselene.*;
import paraselene.tag.*;
import paraselene.tag.form.*;
import paraselene.tag.list.*;
import paraselene.tag.table.*;
import paraselene.css.*;

/**
 * #3
 */
public abstract class #4 extends #1.SuperPage {
private static final long serialVersionUID = 1L;
/**
 * コンストラクタ。
 */
public #4() {
super();
}
/**
 * 初期化。
 */
public void init() {
clear();
try{
#5
super.init();
setInitialized( true );
}
catch( Exception e ) {
paraselene.supervisor.Option.debug( e );
e.printStackTrace();
}
}
/**
 * ページIDの取得。
 * @return ページID。#1.#x.PageType.#6。
 */
public paraselene.supervisor.PageID getID() {
return #1.#x.PageType.#6;
}
#7
}

